Name:          jaxb2-fluent-api
Version:       3.0
Release:       6%{?dist}
Summary:       JAXB2 Commons - Fluent API Plugin
License:       ASL 2.0
URL:           http://java.net/projects/jaxb2-commons/pages/Fluent-api
# svn export https://svn.java.net/svn/jaxb2-commons~svn/fluent-api/tags/3.0 jaxb2-fluent-api-3.0
# tar cJf jaxb2-fluent-api-3.0.tar.xz jaxb2-fluent-api-3.0
Source0:       %{name}-%{version}.tar.xz
%if %{?fedora} >= 22
BuildRequires: mvn(org.glassfish.jaxb:jaxb-xjc)
%else
BuildRequires: mvn(com.sun.xml.bind:jaxb-xjc)
%endif
%if %{?fedora} >= 21
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildArch:     noarch

%description
Causes JAXB RI 2 XJC to generate additional methods that
allows method chaining. Method chaining is useful
when building object tree in memory, allowing the code
to be done in a concise way. The code that uses this plugin
can still run with any JAXB2 implementation.
  
%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -name "*.class" -delete
find -name "*.jar" -delete

%pom_remove_plugin :maven-source-plugin

%if %{?fedora} >= 21
%pom_change_dep com.sun.xml.bind:jaxb-xjc org.glassfish.jaxb:
%endif

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Oct 15 2012 gil cattaneo <puntogil@libero.it> 3.0-1
- initial rpm
